﻿/* FormatterTest.cs
 * part of zaaReloaded2
 * 
 * Copyright 2015 Daniel Kraus
 * 
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * 
 *     http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using NUnit.Framework;
using f = zaaReloaded2.Formatter;
using zaaReloaded2.LabModel;
using zaaReloaded2.Importer.ZaaImporter;
using Microsoft.Office.Interop.Word;

namespace Tests.Formatter
{
    [TestFixture]
    class FormatterTest
    {
        [Test]
        public void FormatLaboratory()
        {
            Document document = new Document();
            ZaaImporter importer = TestHelpers.ZaaImporterFromResource();
            f.Formatter formatter = new f.Formatter(document);
            formatter.Laboratory = importer.Laboratory;
            formatter.Elements.Add(new f.Elements.Items("Klinische Chemie: Na, K, Cl"));
            formatter.Run();
            Assert.AreEqual("Klinische Chemie: Na 144 mM, K 4,3 mM\r", document.Range().Text);
            ((_Document)document).Close(WdSaveOptions.wdDoNotSaveChanges);
        }
    }
}
